Jump to content
cris

NextCloud (Apache73)

Recommended Posts


Description: Nextcloud offers industry-leading on-premises file sync and online collaboration technology
Créateur: Qoolbox

Share this post


Link to post
Share on other sites

Est ce que la version 16.0.1 qui avait comme  prérequis Qapache est compatible avec Apache 73 ?

En clair est ce que je peux remplacer Qapache par Apache 73 sans ré installer le nextcloud deja en place ? 

Merci

 

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 16.0.2

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 16.0.2

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 16.0.2

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 16.0.3

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 16.0.4

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 16.0.4

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 17.0.0.1

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 17.0.1.0

Share this post


Link to post
Share on other sites

Bonjour,

J'ai deux questions :)

1. Comment je peux changer le porte d'accès à NextCloud
2. Comment je peux activé de l'HTTPS

Je suis loin d'être un gourou de apache mais vue que owncloud dans la version qnap ne fonctionne plus avec la dernier version du FW pas le choix faut trouvé d'autre solutions :)

Share this post


Link to post
Share on other sites

I can not get it to work on TS-451:
Empty response and find this in the Nextcloud73.log:

[Tue Dec 17 17:54:30.439803 2019] [core:notice] [pid 11563:tid 140441908975424] AH00052: child pid 18955 exit signal Illegal instruction (4)

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 17.0.2.0

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 18.0.0

Share this post


Link to post
Share on other sites
It is not possible to install nextcloud73. I've tried a thousand times with the graphical wizard or command line. However, I have been able to install owncloud73 
and Qnextcloud. 
I also bought apache74 and tried to install Nextcloud74, but this file is not even possible to download. 
To get some information on why the installation doesn't work, I did:

# php ./occ  maintenance:install --database "mysql" --database-name "nextcloud"  --database-user "nextcloud_user" --database-pass "password" --admin-user "nextcloud" --admin-pass "password"

and get:

PHP Warning:  Module 'PDO_ODBC' already loaded in Unknown on line 0                                                                                                                                                              
PHP Warning:  Module 'pdo_pgsql' already loaded in Unknown on line 0                                                                                                                                                             
PHP Warning:  Module 'pdo_sqlite' already loaded in Unknown on line 0
The current PHP memory limit is below the recommended value of 512MB.
Illegal instruction

#

That is all. I can't find log files and I am running out of ideas. ¿Any hint?

 

                            

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 18.0.1

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 18.0.2

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 18.0.3

Share this post


Link to post
Share on other sites
Has anyone managed to install it? I have tried it a thousand times and I can only restart the installation wizard over and over again. 
I have reviewed the logs and cannot find anything. I have even tried the installation from the command line and only get "illegal instruction".
 Can someone help me?

Share this post


Link to post
Share on other sites

A new version is now available on the repository
Version: 18.0.4

Share this post


Link to post
Share on other sites

NOTE

on some NAS there is an issue with ARGON2 algorythm hash enable by depfautl on Apache73 and Apache74

this create a white page after Wizard

here are two tips :

added to the config file on last line  :  /share/CACHEDEV1_DATA/.qpkg/NextCloud74/nextcloud/config/config.php

  'hashing_default_password' => true,

config file look like this one after a second setup (tested with sqlite and apache74, but this trick should work for all DB and Apache73)

<?php
$CONFIG = array (
  'instanceid' => 'ocg61wiq87m3',
  'passwordsalt' => 'ydniAQlWFcDG9MMAWzMlK8XkvgLZro',
  'secret' => 'O2DHiLvehj3VCsRPCak+sHUzSUXcJOPnJ9+knoHrN8qYJ5O5',
  'trusted_domains' => 
  array (
    0 => '192.168.0.59:35180',
  ),
  'datadirectory' => '/share/CACHEDEV1_DATA/.qpkg/NextCloud74/nextcloud/data',
  'dbtype' => 'sqlite3',
  'version' => '18.0.4.2',
  'overwrite.cli.url' => 'http://192.168.0.59:35180',
  'hashing_default_password' => true,
);


 
Second trick
 
other solution found by user on www.forum-nas.fr

seems that there is bug with PASSWORD_ARGON2I algorithm to generate password. Solution:

comment lines 208, 209, 210 in nextcloud/lib/private/Security/Hasher.php such that they look like:
//if (\defined('PASSWORD_ARGON2I')) {
// $default = PASSWORD_ARGON2I;
//}
This will fallback to old hash algoreithm.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×